/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


$.validator.addMethod("valueNotEquals", function (value, element, arg) {
    return arg !== value;
}, "Elige una opción");

// validate signup form on keyup and submit
$("#form-profesor").validate({
    rules: {
        apePat: "required",
        nomPro: "required",
        rfc: {
            required: "true",
            minlength: 12,
            maxlength: 13
        },
        email: "required",
        celular: "required",
        cedula: "required"
    },
    messages: {
        apePat: "*Campo obligatorio.",
        nomPro: "*Campo obligatorio.",
        rfc: {
            required: "*Campo obligatorio.",
            minlength: "*Longitud minima 12.",
            maxlength: "*Longitud máxima 13."
        },
        email: "*Campo obligatorio.",
        celular: "*Campo obligatorio.",
        cedula: "*Campo obligatorio."
    }
});

function validarRFC() {
    var rfc = $("#rfc").val();
    if (rfc == "") {
        swal("", "RFC, está en blanco", "warning");
    } else {
        $.ajax({
            // la URL para la petición
            url: '/ControlCeepam/web/app_dev.php/ajax-alta-profesor',
            // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {rfc: rfc},
            // especifica si será una petición POST o GET
            type: 'POST',
            // el tipo de información que se espera de respuesta
            dataType: 'html',
            // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById("contenedorProfesor").innerHTML = '<i class="fa fa-pulse fa-spinner" style="font-size: 2em;"></i><strong> VALIDANDO...</strong>';
            },
            success: function (respuesta) {
                //alert("Correcto");

                document.getElementById("contenedorProfesor").innerHTML = respuesta;
                if ($("#banRFC").val() == 1) {
                    //SI EXISTE EL RFC
                    swal("", "EL RFC EXISTE, NO SE PUEDE REGISTRAR", "warning");
                    document.getElementById("btnGuardarProfesor").disabled = true;
                } else if ($("#banRFC").val() == 0) {
                    //NO EXISTE EL RFC
                    swal("", "EL REFC NO EXISTE, SE PUEDE REGISTRAR EL PROFESOR", "success");
                    document.getElementById("btnGuardarProfesor").disabled = false;
                }


            },
            // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                alert('Disculpe, existió un problema');
            },

            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });
    }


}